Awkward Array: Options< OPTIONS > Class Template Reference

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | Static Public Attributes | List of all members
Options< OPTIONS > Class Template Reference

Container for all configuration options needed by ArrayBuilder, GrowableBuffer, LayoutBuilder and the Builder subclasses. More...

`#include <BuilderOptions.h>`

## Public Types
using | OptionsPack = typename std::tuple< OPTIONS... >
template<std::size_t INDEX>
using | OptionType = typename std::tuple_element< INDEX, decltype(OptionsPack())>::type

## Public Member Functions
| Options (OPTIONS... options)
| Creates an Options tuple from a full set of parameters. More...
int64_t | initial () const noexcept
| The initial number of `reserved` entries for a GrowableBuffer. More...
double | resize () const noexcept
| The factor with which a GrowableBuffer is resized when its `length` reaches its `reserved`. More...
template<std::size_t INDEX>
const OptionType< INDEX > & | option () const noexcept
| Access to all other options. More...

## Public Attributes
OptionsPack | pars

## Static Public Attributes
static constexpr std::size_t | value = sizeof...(OPTIONS)

## Detailed Description

template<typename... OPTIONS>
class awkward::Options< OPTIONS >

Container for all configuration options needed by ArrayBuilder, GrowableBuffer, LayoutBuilder and the Builder subclasses.

## Member Typedef Documentation

## ◆ OptionsPack

using OptionsPack = typename std::tuple<OPTIONS...>

## ◆ OptionType

using OptionType = typename std::tuple_element<INDEX, decltype(OptionsPack())>::type

## Constructor & Destructor Documentation

## ◆ Options()

Options | ( | OPTIONS... | options | ) |
| inline

Creates an Options tuple from a full set of parameters.

## Member Function Documentation

## ◆ initial()

int64_t initial | ( |  | ) | const
| inlinenoexcept

The initial number of `reserved` entries for a GrowableBuffer.

## ◆ option()

const OptionType< INDEX > & option | ( |  | ) | const
| inlinenoexcept

Access to all other options.

## ◆ resize()

double resize | ( |  | ) | const
| inlinenoexcept

The factor with which a GrowableBuffer is resized when its `length` reaches its `reserved`.

## Member Data Documentation

## ◆ pars

OptionsPack pars

## ◆ value

constexpr std::size_t value = sizeof...(OPTIONS)
| staticconstexpr

The documentation for this class was generated from the following file:

- src/awkward/_v2/cpp-headers/awkward/BuilderOptions.h